<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employee_benefits', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 50)->index();
            $table->string('company_id', 50)->index();
            $table->string('dealer_id', 50)->index();
            $table->string('benefits_type_id',20)->index();
            $table->string('add_less',20)->nullable();
            $table->string('amount', 100)->nullable();
            $table->date('date_from');
            $table->date('date_to')->nullable();
            $table->string('frequency', 20)->nullable();
            $table->string('term', 20)->nullable();
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employee_benefits');
    }
};
